#include "rc.h"

/* put rc into a new pgrp. Used on the NeXT where the Terminal program is broken (sigh) */

void
b_newpgrp ( char ** av ) {
	if (av[1] != NULL) {
		arg_count("newpgrp");
		return;
	}
	if ( setsid () == -1 ) set(FALSE);
#ifdef TIOCSPGRP
	ioctl(2, TIOCSPGRP, &rc_pid);
#endif
}
